package org.dromara.ems.record.service.impl;

import org.dromara.ems.record.domain.EmsRecordSteamInstant;
import org.dromara.ems.record.mapper.EmsRecordSteamInstantMapper;
import org.dromara.ems.record.service.IEmsRecordSteamInstantService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 蒸汽实时数据Service业务层处理
 *
 * @author Yinq
 * @date 2024-05-22
 */
@Service
@RequiredArgsConstructor
public class EmsRecordSteamInstantServiceImpl implements IEmsRecordSteamInstantService {
    
    private final EmsRecordSteamInstantMapper emsRecordSteamInstantMapper;

    /**
     * 查询蒸汽实时数据
     *
     * @param objId 蒸汽实时数据主键
     * @return 蒸汽实时数据
     */
    @Override
    public EmsRecordSteamInstant selectEmsRecordSteamInstantByObjId(Long objId) {
        return emsRecordSteamInstantMapper.selectEmsRecordSteamInstantByObjId(objId);
    }

    /**
     * 查询蒸汽实时数据列表
     *
     * @param emsRecordSteamInstant 蒸汽实时数据
     * @return 蒸汽实时数据
     */
    @Override
    public List<EmsRecordSteamInstant> selectEmsRecordSteamInstantList(EmsRecordSteamInstant emsRecordSteamInstant) {
        return emsRecordSteamInstantMapper.selectEmsRecordSteamInstantList(emsRecordSteamInstant);
    }

    /**
     * 新增蒸汽实时数据
     *
     * @param emsRecordSteamInstant 蒸汽实时数据
     * @return 结果
     */
    @Override
    public int insertEmsRecordSteamInstant(EmsRecordSteamInstant emsRecordSteamInstant) {
        return emsRecordSteamInstantMapper.insertEmsRecordSteamInstant(emsRecordSteamInstant);
    }

    /**
     * 修改蒸汽实时数据
     *
     * @param emsRecordSteamInstant 蒸汽实时数据
     * @return 结果
     */
    @Override
    public int updateEmsRecordSteamInstant(EmsRecordSteamInstant emsRecordSteamInstant) {
        return emsRecordSteamInstantMapper.updateEmsRecordSteamInstant(emsRecordSteamInstant);
    }

    /**
     * 批量删除蒸汽实时数据
     *
     * @param objIds 需要删除的蒸汽实时数据主键
     * @return 结果
     */
    @Override
    public int deleteEmsRecordSteamInstantByObjIds(Long[] objIds) {
        return emsRecordSteamInstantMapper.deleteEmsRecordSteamInstantByObjIds(objIds);
    }

    /**
     * 删除蒸汽实时数据信息
     *
     * @param objId 蒸汽实时数据主键
     * @return 结果
     */
    @Override
    public int deleteEmsRecordSteamInstantByObjId(Long objId) {
        return emsRecordSteamInstantMapper.deleteEmsRecordSteamInstantByObjId(objId);
    }
}
